.home-grid {
  display: grid;
  grid-template-columns: 50% 1fr;
  grid-template-rows: 50% 1fr;
  height: 100vh;
  overflow: hidden;

  img {
    cursor: pointer;
  }

  .grid {
    &:first-child {
      grid-row: 1/3;
      grid-column: 1/2;
    }

    // &:nth-child(2) {
    //   grid-row: 2/3;
    //   grid-column: 3/4;
    // }

    // &:nth-child(3) {
    //   grid-row: 3/4;
    //   grid-column: 3/4;
    // }
  }
}

.play-btn {
  @include dimensions(120px, 120px);
  @include displayFlex(center, center);
  background-color: lighten($backgroundColor, $amount: 0);
  border-radius: 50%;
  cursor: pointer;
  left: 50%;
  padding-left: 15px;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: padding 0.3s ease-in-out;
  z-index: 0;

  img {
    transition: transform 0.4s ease-in-out;
  }

  &:hover {
    // padding-bottom: 5px;

    img {
      transform: scale(1.1);
    }
  }

  &::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: transparentize($backgroundColor, $amount: 0.3);
    top: 0;
    left: 0;
    border-radius: 50%;
    z-index: -1;
    animation: playBtnAnim 1.5s ease-in-out infinite forwards;
  }

  &::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: transparentize($backgroundColor, $amount: 0.5);
    top: 0;
    left: 0;
    border-radius: 50%;
    z-index: -1;
    animation: playBtnAnim 1.5s ease-in-out infinite forwards 0.5s;
  }
}

@keyframes playBtnAnim {
  to {
    transform: scale(1.5);
    background-color: transparentize($backgroundColor, $amount: 1);
  }
}

@media only screen and (max-width: 1024px) {
  .home-grid {
    display: flex;
    flex-direction: column;
    height: 100vh;
    padding: 0;
  }

  .grid {
    height: 33.33%;
  }
}
